Apigithub
Comment on a specific line of a pull request diff (or reply to a review comment)
Write operation: mutates state in the upstream service.
curl -X POST "https://api.modernloop.dev/rest/v1/github/repos/string/string/pulls/{number}/comments" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "body": "string", "inReplyTo": 0 }'{ "id": 0, "body": "string", "user": { "login": "string", "id": 0 }, "path": "string", "line": 0, "original_line": 0, "side": "string", "start_line": 0, "original_start_line": 0, "start_side": "string", "commit_id": "string", "diff_hunk": "string", "in_reply_to_id": 0, "html_url": "string", "created_at": "string", "updated_at": "string"}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
owner*string
Repository owner (user or organization)
repo*string
Repository name
number?|
Pull request number
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
body*string
The text of the review comment
Length
1 <= lengthinReplyTo*integer
Review comment ID to reply to
Response Body
application/json
application/json
application/json
application/json
application/json